# Privacy

Digital privacy is the ability and freedom of an individual to hide "sensitive" [information](information.md) about himself. Of course, there are other forms of privacy than digital, for example the physical privacy [in real life](irl.md), however in this article we'll be implicitly dealing with digital privacy unless mentioned otherwise, i.e. privacy with respect to computers, e.g. on the [Internet](internet.md).

Firstly we have to state that **privacy concerns are a symptom of [bad society](capitalism.d). We shouldn't ultimately try to protect privacy more (cure symptoms) but rather make a [society where need for privacy isn't an issue](less_retarded_society.md) (cure the root cause).** This sentiment is shared by many hackers, even [Richard Stallman](rms.md) himself used to revolt against passwords when he was at MIT AI Labs; he intentionally used just the password "rms" to allow other people to use his account (this is mentioned in the book *Free As In Freedom*). Efforts towards increasing and protecting privacy is in its essence an unnecessary [bullshit](bullshit.md) effort wasting human work, similarly to [law](law.md), [marketing](marketing.md) etc. It is all about censorship and secrecy. Besides this, **all effort towards protecting digital privacy will eventually fail**, thanks to e.g. advanced [AI](ai.md) that will identify individuals by pattern in their behavior, even if their explicit identity information is hidden perfectly. Things such as browser [fingerprinting](fingerprint.md) are already a standard and simple practice allowing highly successful uncovering of identity of anonymous people online, and research AI is taking this to the next level (e.g. the paper *Detecting Individual Decision-Making Style: Exploring Behavioral Stylometry in Chess* shows revealing [chess](chess.md) players by their play style). With [internet of stinks](iot.md), cameras, microphones and smartphones everywhere, advanced AI will be able to identify and track an individual basically anywhere no matter the privacy precautions taken. Curing the root cause is the only option to prevent a catastrophic scenario.

By this viewpoint, [LRS](lrs.md)'s stance towards privacy differs from that of many (if not most) [free software](free_software.md), [hacker](hacker.md) and [suckless](suckless.md) communities: to us **privacy is a form of [censorship](censorhip.md)** and as such is seen as inherently bad. We dream of a world without abuse where (digital) privacy is not needed because society has adopted our philosophy of information freedom, non-violence and non-competition and there is no threat of sensitive information abuse. Unlike other, not only do we dream of it, we actively try to make it a reality. Even though we know the ideally working society is unreachable, we try to at least get close to it by restricting ourselves to bare minimum privacy (so we are very open but won't e.g. publish our passwords). We believe that abuse of sensitive information is an issue of the basic principles of our society (e.g. [capitalism](capitalism.md)) and should be addressed by fixing these issues rather than by harmful methods such as censorship.

Digital privacy can be further categorized. We can talk e.g. about **communication privacy** (emails, chat, ...), **data privacy** (cookies, tracking, medical data, ...), **personal privacy** (intimate photos, sexual orientation, ... ), **individual privacy** (identifying information, anonymity, [spam](spam.md), ...) etc.

Privacy is closely related to [cryptography](cryptography.md), as encryption is how information can be "protected" against reaching unauthorized entities, and to [free software](free_software.md), as using safe tools with available source code is crucial to avoid malware. Still, to achieve high privacy additional appropriate behavior has to be adopted, e.g. protection against [spyware](spyware.md), using proxies and/or onion routing, turning off browser [cookies](cookie.md), avoiding fingerprinting, avoiding [social networks](social_network.md), avoiding revealing potentially identifying information etc.